package org.ourfilesystem.com;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;

public class SimpleSocket implements OFSSocket {
	
	private Socket Socket;

	public SimpleSocket(Socket sock) {
		Socket = sock;
	}
	
	@Override
	public InputStream getInputStream() throws IOException {
		return Socket.getInputStream();
	}

	@Override
	public OutputStream getOutputStream() throws IOException {
		return Socket.getOutputStream();
	}

	@Override
	public boolean isConnected() {
		return Socket.isConnected();
	}

	@Override
	public boolean isClosed() {
		return Socket.isClosed();
	}

	@Override
	public void close() throws IOException {
		Socket.close();
	}

}
